Landing Page¶
A web page targeted by marketing campaigns.
Endpoints¶
| Method | URL |
|---|---|
GET |
/landing_page/<landing_page> |
POST |
/landing_page |
PUT |
/landing_page/<landing_page> |
DELETE |
/landing_page/<landing_page> |
GET /landing_page/<landing_page>¶
Payload: No payload.
Returns: The landing page.
POST /landing_page¶
| Parameter | Type | Description |
|---|---|---|
name |
string | Landing page name |
html |
string | Page HTML code |
domain |
int | ID of a domain configured as a bounce domain |
subdomain |
string | Subdomain prefix (without dot) prepended to the domain to produce the page URL |
block_editor_type |
string | "" (no editor) or "unlayer" |
block_editor_content |
string (optional) | JSON string with page source for the block editor |
shared_with_children |
boolean | Allow hierarchical child users to use this page |
Returns: The created landing page.
PUT /landing_page/<landing_page>¶
Same payload as POST.
Returns: The edited landing page.
DELETE /landing_page/<landing_page>¶
Payload: No payload.
Returns: The deleted landing page.